[med-svn] [Git][med-team/epcr][master] 4 commits: autopkgtest folder

Andreas Tille gitlab at salsa.debian.org
Wed Apr 17 09:20:50 BST 2019



Andreas Tille pushed to branch master at Debian Med / epcr


Commits:
ee1e2554 by Vidushi Bissa at 2019-03-26T08:12:07Z
autopkgtest folder
- - - - -
288eabd2 by Vidushi Bissa at 2019-03-26T08:12:56Z
adding autopkg script 
- - - - -
3c1895a5 by Vidushi Bissa at 2019-03-26T08:13:16Z
Update autopkg.sh
- - - - -
ee61fa22 by Andreas Tille at 2019-04-17T08:20:48Z
Merge branch 'master' into 'master'

Bug #909706 - providing autopkgtest

See merge request med-team/epcr!1
- - - - -


2 changed files:

- + add/.gitkeep
- + add/autopkgtest.sh


Changes:

=====================================
add/.gitkeep
=====================================


=====================================
add/autopkgtest.sh
=====================================
@@ -0,0 +1,25 @@
+#!/bin/bash
+set -e
+
+pkg=epcr
+
+if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
+  AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+  # Double quote below to expand the temporary directory variable now versus
+  # later is on purpose.
+  # shellcheck disable=SC2064
+  trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cp -a /usr/share/doc/${pkg}/examples/* "${AUTOPKGTEST_TMP}"
+
+cd "${AUTOPKGTEST_TMP}"
+
+#do_stuff_to_test_package#
+export LANG=de_DE.UTF-8
+export LC_CTYPE=de_DE.UTF-8
+export LANGUAGE=de_DE.UTF-8
+
+
+chsh -s /bin/dash
+echo Success
\ No newline at end of file



View it on GitLab: https://salsa.debian.org/med-team/epcr/compare/b4beeb867838ecaf64e68a4961f588fa88e55c01...ee61fa22aa5ba4c5c456a796c25fedb99bbf5c32

-- 
View it on GitLab: https://salsa.debian.org/med-team/epcr/compare/b4beeb867838ecaf64e68a4961f588fa88e55c01...ee61fa22aa5ba4c5c456a796c25fedb99bbf5c32
You're receiving this email because of your account on salsa.debian.org.

-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20190417/d2216988/attachment-0001.html>


More information about the debian-med-commit mailing list